API Explorer 1884 endpoints

Create new user_authority_relationship

POST /obp/v7.0.0/banks/ogcr/dynamic-entities/user_authority_relationship

OBPv7.0.0-dynamicEntity_createuser_authority_relationship_ogcr Roles: CanCreateDynamicEntityRecord_user_authority_relationship(per bank) _User_authority_relationship(ogcr)Dynamic-EntityDynamic

Create new user_authority_relationship.

Describes the relationship between a User (the logged in User via OAuth2/OIDC or a Consent) and the Certification Body. This intersecting entity allows a many to many relationship between Users and Certification Bodies. This Dynamic Entity is part of OGCR.

Property List:

  • user_id: (Authenticated) User
  • authority_id: the authority (uu)id
  • relationship_to_authority: relationship describes the user's relationship to the authority: the user is the subject, the authority is the object

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"user_authority_relationship"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "user_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "authority_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "relationship_to_authority": "Managing Director, Employee, Accountant"
}
Example success response
{
  "bank_id": "ogcr",
  "user_authority_relationship": {
    "user_authority_relationship_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "user_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "authority_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "relationship_to_authority": "Managing Director, Employee, Accountant"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_createuser_authority_relationship_ogcr Originally /banks/ogcr/dynamic-entities/user_authority_relationship